| Home | Libraries | People | FAQ | More

## Struct template plain_return_type_2<arithmetic_action< divide_action >, boost::units::unit< Dim1, System1 >, boost::units::quantity< Unit2, Y >>

boost::lambda::plain_return_type_2<arithmetic_action< divide_action >, boost::units::unit< Dim1, System1 >, boost::units::quantity< Unit2, Y >>

## Synopsis

    // In header: <boost/units/lambda.hpp>

    template<typename System1, typename Dim1, typename Unit2, typename Y>
    struct plain_return_type_2<arithmetic_action< divide_action >, boost::units::unit< Dim1, System1 >, boost::units::quantity< Unit2, Y >> {
      // types
      typedef boost::units::divide_typeof_helper< boost::units::unit< Dim1, System1 >, boost::units::quantity< Unit2, Y > >::type type;
    };

## Description

Partial specialization of return type trait for action unit<Dim1, System1> / quantity<Unit2, Y>.